package ru.dbotthepony.kstarbound.defs

import com.google.common.collect.ImmutableList
import ru.dbotthepony.kstarbound.defs.animation.AnimationDefinition
import ru.dbotthepony.kstarbound.io.json.builder.JsonFactory

@JsonFactory
data class StatusEffectDefinition(
	val name: String,
	val defaultDuration: Double,
	val scripts: ImmutableList<String>,
	val animationConfig: AssetReference<AnimationDefinition>,
)
